Bug 20726 - [XT3TS] import-schema-164
Summary: [XT3TS] import-schema-164
Status: CLOSED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XSLT 3.0 Test Suite (show other bugs)
Version: Working drafts
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Abel Braaksma
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL: http://www.plam.cantech.bg
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-21 16:55 UTC by Tim Mills
Modified: 2015-05-06 21:18 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2013-01-21 16:55:26 UTC
Microsoft's .NET XMl Schema validator handles this situation by raising an exception.  Since this was not clearly defined in XSD 1.0, should this test not also accept an error?

      <description>
         Test that a namespaced attribute with a schema-defined default value is properly inserted into 
         the source document, with a namespace declaration if necessary. Note, the rules here are clearly 
         defined in XSD 1.1 (see 3.4.5.1 Attribute Default Value, namespace fixup). 
         But they are not clearly defined in XSD 1.0.
      </description>
Comment 1 Michael Kay 2015-03-20 15:52:23 UTC
Added a dependency on XSD 1.1 as suggested.
Comment 2 Abel Braaksma 2015-05-06 21:18:20 UTC
Was resolved > 30 days ago, closing.